## vhba-module-dmo 20210418

=== debian/changelog ===
vhba-module-dmo (20210418-dmo1+deb11u1) stable; urgency=medium

  * Add /etc/modules-load.d/vhba.conf to load the kernel module at boot
    (Thanks to Ильяс Гасанов for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Nov 2021 09:13:12 +0100

vhba-module-dmo (20210418-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 14:11:20 +0200

vhba-module-dmo (20200106-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 11:07:17 +0100

vhba-module-dmo (20190831-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2019 15:56:03 +0200

vhba-module-dmo (20190827-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:48:17 +0200

vhba-module-dmo (20190410-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2019 08:51:31 +0200

vhba-module-dmo (20190302-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 11:03:51 +0100

vhba-module-dmo (20170610-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove previous patch (kernel > 4.11)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 09:50:30 +0200

vhba-module-dmo (20161009-dmo2) unstable; urgency=medium

  * Add a patch for kernel > 4.11 (Thanks to Adel Belhouane for the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 May 2017 11:32:32 +0200

vhba-module-dmo (20161009-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 17:59:35 +0200

vhba-module-dmo (20140928-dmo3) unstable; urgency=medium

  * Don't use upstream postinst and prerm scripts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Jan 2016 10:27:31 +0100

vhba-module-dmo (20140928-dmo2) unstable; urgency=medium

  * Don't call dh_auto_configure and dh_auto_test

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Jan 2016 09:28:36 +0100

vhba-module-dmo (20140928-dmo1) unstable; urgency=medium

  * Uploaded to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 15:10:19 +0100

vhba-module (20140928-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=yes

# Get package version info.
SOURCE_VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
UPSTREAM_VERSION := $(shell echo "$(SOURCE_VERSION)" | cut -d- -f1)

# Installation directories
PKGDIR := $(CURDIR)/debian/vhba-dkms
DESTDIR := $(PKGDIR)/usr/src/vhba-$(UPSTREAM_VERSION)

%:
	dh $@ --with dkms

override_dh_auto_install:
	install -d				$(DESTDIR)
	install -m 644 -D $(CURDIR)/Makefile	$(DESTDIR)/
	install -m 644 -D $(CURDIR)/*.c		$(DESTDIR)/

override_dh_dkms:
	dh_dkms -V

#override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_clean:

override_dh_auto_build:

## vhba-module-dmo 20211218

=== Makefile ===
VHBA_VERSION := 20211218

KERNELRELEASE ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KERNELRELEASE)/build
PWD ?= $(shell pwd)

obj-m := vhba.o
ccflags-y := -DVHBA_VERSION=\"$(VHBA_VERSION)\" -Werror

default: modules
install: modules_install

modules modules_install clean:
	$(MAKE) -C $(KDIR) M=$(PWD) $@

=== debian/changelog ===
vhba-module-dmo (1:20211218-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 08:59:11 +0100

vhba-module-dmo (1:20211023-dmo3) unstable; urgency=medium

  * Add /etc/modules-load.d/vhba.conf to load the kernel module at boot
    (Thanks to Ильяс Гасанов for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 11:02:57 +0100

vhba-module-dmo (1:20211023-dmo2) unstable; urgency=medium

  * Remove colon in the version number. Thanks to Floris Renaud for the bug
    report and the patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Oct 2021 18:38:55 +0200

vhba-module-dmo (1:20211023-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Oct 2021 09:23:56 +0200

=== debian/control ===
Source: vhba-module-dmo
Section: misc
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), dkms

Package: vhba-dkms
Architecture: all
Depends: dkms, ${misc:Depends}
Description: VHBA virtual host bus adapter module.
 VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon
 from userspace-cdemu suite.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-DH_VERBOSE=yes
+#export DH_VERBOSE=yes
 
 # Get package version info.
-SOURCE_VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
+SOURCE_VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1 | cut -d: -f2)
 UPSTREAM_VERSION := $(shell echo "$(SOURCE_VERSION)" | cut -d- -f1)
 
 # Installation directories
@@ -19,7 +19,7 @@
 	install -m 644 -D $(CURDIR)/*.c		$(DESTDIR)/
 
 override_dh_dkms:
-	dh_dkms -V
+	dh_dkms -V $(UPSTREAM_VERSION)
 
 #override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_clean:

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*vhba-module-(.+)@ARCHIVE_EXT@

## vhba-module-dmo 20250329

=== debian/changelog ===
vhba-module-dmo (1:20250329-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 09:13:53 +0200

vhba-module-dmo (1:20240917-dmo1) unstable; urgency=medium

  * New upstream release.
    Fix build with kernel 6.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Sep 2024 17:33:46 +0200

vhba-module-dmo (1:20240202-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Feb 2024 13:12:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dkms
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-dkms
 
 Package: vhba-dkms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 
 #override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_clean:
 
-override_dh_auto_build:
+override_dh_auto_clean override_dh_auto_build:

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*vhba-module-@ANY_VERSION@@ARCHIVE_EXT@
